# Copyright (c) 2010, Cloudera, inc. All rights reserved.
from setuptools import setup, find_packages

setup(
      name = "beeswax",
      version = "0.1.0",
      url = 'http://www.cloudera.com',
      description = "Cloudera Desktop: Beeswax App",
      packages = find_packages('src') + find_packages('gen-py'),
      package_dir = {'hive_metastore': 'gen-py', 'beeswaxd': 'gen-py', 'fb303': 'gen-py', '': 'src'},
      install_requires = ['setuptools', 'desktop', 'pyExcelerator'],
      entry_points = {
        'desktop.sdk.application': 'beeswax=beeswax',
        'desktop.supervisor.specs': [ 'beeswax_server = beeswax:SUPERVISOR_SPEC' ],
      }
)
