<%namespace name="wrappers" file="header_footer.mako" />
<%! from urllib import quote %>
<%! from filebrowser.views import location_to_url %>
${wrappers.head("Beeswax Table Partitions: " + table.tableName, section='tables')}

<h2>Partitions</h2>

<table>
<tr>
  % for field in table.partitionKeys:
  <th>${field.name}</th>
  % endfor
  <th></th>## Extra column for command links.
</tr>
% if len(partitions) > 0:
  % for partition in partitions:
  <tr>
    % for key in partition.values:
    <td>${key}</td>
    % endfor
    <td>
      <% url = location_to_url(request, partition.sd.location) %>
      % if url:
        <a href="${url}">${partition.sd.location}</a>
      % else:
        ${partition.sd.location}
      % endif
    </td>
  </tr>
  % endfor
% else:
  <tr><td>Table has no partitions.</td></tr>
% endif
</table>
${wrappers.foot()}
